summaryrefslogtreecommitdiff
path: root/tests/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2015-06-23 13:23:28 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2015-06-23 14:14:10 +0100
commit399c708ec36a98ac6126ad0ae07991c111b095cb (patch)
treec3f24c2cbed6038ed1018e7bf402be8507aba3ff /tests/tests
parentd7bff7fa819448fa1ce1bd5e2397f0ba1cf1688c (diff)
Test suite: Make dsd-clone-drs test a no-op in installed package mode
Diffstat (limited to 'tests/tests')
-rwxr-xr-xtests/tests/dsd-clone-drs6
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/tests/dsd-clone-drs b/tests/tests/dsd-clone-drs
index 3474160..aa162bb 100755
--- a/tests/tests/dsd-clone-drs
+++ b/tests/tests/dsd-clone-drs
@@ -1,6 +1,12 @@
#!/bin/bash
set -e
. tests/lib
+
+if [ "x$DGIT_TEST_INTREE" = x ]; then
+ echo >&2 'running installed package version, cannot test self-clone'
+ exit 0
+fi
+
if ! test -d $root/.git; then
echo >&2 'not running out of git clone, cannot test self-clone'
exit 0